Bug 2272

Summary: Suggested permission changes
Product: [Retired] Red Hat Linux Reporter: mitr
Component: abootAssignee: Cristian Gafton <gafton>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-07-28 07:19:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description mitr 1999-04-19 18:39:39 UTC
[ Sorry for assigning this report to no aboot. I've made one
list and don't want to pay my phone bill for sending
separate reports. And the Bugzilla won't let me assign the
report to no package.]
I'd be grateful someone had enough time to change
permissions of the files listed below.
The changes from -r--r--r-- to -rw-r--r-- are not so
important - the only thing it should matter is that for
example while upgrading the system, the rpm process would be
accounted as 'user root privilegies'.
The most important are probably the changes to lrwxrwxrwx,
as links will always have this permission status and so even
when not changing anything, the user sees /usr/tmp (for
example) as modified when he/she invokes rpm -Va.
Thanks a lot. (And trow this away if you think it's not
important.)
                      Mirek
----------------The list
***filesystem-1.3.2-3:
lrwxrwxrwx /usr/bin/X11
lrwxrwxrwx /usr/lib/X11
lrwxrwxrwx /usr/tmp
***ncurses-4.2-10
lrwxrwxrwx /usr/lib/lib{form,menu,ncurses,panel}.so.4
***bind-8.1.2-5
-rw-r--r-- /usr/man/man?/*
***bootpc-061-8
-rw-r--r-- /usr/doc/bootpc-061/[C-W]*
***control-panel-3.7-7
-rw-r--r-- /usr/lib/rhs/control-panel/*.tcl
-rw-r--r-- /usr/man/man8/control-panel.8
***ed-0.2-8
-rw-r--r-- /usr/doc/ed/*
***emacs-20.3-3
-rw-r--r-- /usr/share/emacs/20.3/etc/*
-rw-r--r-- /usr/share/emacs/20.3/lisp/*
-rw-r--r--
/usr/share/emacs/20.3/lisp/international/latin-?.el
-rw-r--r-- /usr/share/emacs/20.3/list/term/*.el
***file-3.25-2
-rw-r--r-- /usr/man/man?/*
-rw-r--r-- /usr/share/magic
***findutils-4.1-25
-rw-r--r-- /usr/doc/findutils-4.1/*
-rw-r--r-- /usr/info/find.info*.gz
***getty_ps-2.0.7j-4
-rw-r--r-- /usr/doc/getty_ps-2.0.7j/* (regular files
recursively)
***ghostscript-fonts-4.03-1
-rw-r--r-- /usr/share/ghostscript/fonts/*
***gnuchess-4.0.pl77-5
-rw-r--r-- /usr/lib/games/gnuchess/*
***patch-2.5-5
-rw-r--r-- /usr/doc/patch-2.5/*
***indexhtml-5.2-3
-rw-r--r-- /usr/doc/HTML/*.gif
***isapnptools-1.15a-3
-rw-r--r-- /usr/doc/isapnptools-1.15a/*
***kernel-pcmcia-cs-2.0.36-3
-rwXr-Xr-X /etc/pcmcia/*
-rwxr-xr-x /sbin/pcinitrd
-rw-r--r-- /usr/doc/kernel-pcmcia-cs-2.0.36/*
-rw-r--r-- /usr/man/man?/*
***libungif-3.0-4
-rw-r--r-- /usr/doc/libungif-3.0-4
lrwxrwxrwx /usr/lib/libgif.so.3*
***linuxconf-1.12r5-6rh
-rw-r--r-- /usr/lib/linuxconf/java/mformscript.class
***lpr-0.33-1
-rw-r--r-- /usr/man/man1/lpq.1
***make-3.76.1-5
-rw-r--r-- /usr/doc/make-3.76.1/README
***ipfwadm-2.3.0-6
-rw-r--r-- /usr/man/man?/*
***modutils-2.1.85-9
-rw-r--r-- /usr/man/man?/*
***mt-st-0.5-1
-rw-r--r-- /usr/man/man?/*
***netscape-common-4.08-1
-rw-r--r-- /usr/doc/netscape-common-4.08/*
-rw-r--r-- /usr/lib/netscape/bookmark.htm
-rw-r--r-- /usr/lib/netscape/java/*/*
-rw-r--r-- /usr/lib/netscape/movemail/*
-rw-r--r-- /usr/lib/netscape/talkback/master.ini
***netscape-communicator-4.08-1
-rwxr-xr-x /usr/bin/netscape-communicator
***procps-1.2.9-2
-rwxr-xr-x /bin/ps
-rwxr-xr-x /usr/bin/*
***psmisc-17-3
-rwxr-xr-x /usr/{,s}bin/*
-rw-r--r-- /usr/man/man1/*
***quota-1.55-9
-rwxr-xr-x /{s,/usr/,/usr/s}bin/* (except for
/sbin/quotaoff)
-rw-r--r-- /usr/man/man?/*
***sendmail-8.8.7-20
-rw-r--r-- /etc/sysconfig/sendmail
-rw-r--r-- /usr/lib/sendmail.hf
***setserial-2.14-4
-rw-r--r-- /usr/man/man8/setserial.8
***SysVinit-2.74-5
-rwxr-xr-x /usr/bin/{utmpdump,wall}
***tcl-8.0.3-20
-rwxr-xr-x /usr/lib/libtcl8.0.so
-rw-r--r-- /usr/man/man?/*
***tk-8.0.3-20
-rwxr-xr-x /usr/lib/libtk8.0.so
-rw-r--r-- /usr/man/man?/*
***which-1.0-8
-rw-r--r-- /usr/man/man1/which.1
***wmconfig-0.6-1
-rwxr-xr-x /usr/X11R6/bin/wmconfig
***XFree86-S3-3.3.3.1-1
-rw-r--r-- /usr/man/man1/XF86_*.1x
***XFree86-ISO8859-2-1.0-1
-rw-r--r-- /usr/X11R6/lib/X11/fonts/ISO8859-2/misc/*
***XFree86-ISO8859-2-75dpi-fonts-1.0-1
-rw-r--r-- /usr/X11R6/lib/X11/fonts/ISO8859-2/75dpi/*
***xxgdb-1.12-6
-rw-r--r-- /usr/X11R6/lib/X11/app-defaults/XDbx
-rw-r--r-- /usr/X11R6/man/man1/xxgdb.1x
***tcp_wrappers-7.6-5
-rw-r--r-- /usr/doc/tcp_wrappers-7.6/*
-rw-r--r-- /usr/man/man?/*
***ImageMagick-4.1.0-1
lrwxrwxrwx /usr/X11R6/lib/libMagick.so.4
***pam-0.64-4
-rw-r--r-- /etc/security/*
-rwxr-xr-x /sbin/pam_filter/upperLOWER
-rw-r--r-- /usr/doc/pam-0.64/* (regular files recursively)
***gv-3.5.8-5
-rw-r--r-- /usr/X11R6/man/man1/gv.1x
***perl-5.004m7-1
-rw-r--r-- /usr/lib/perl5/* (regular files recursively)
***XFree86-75dpi-fonts-3.3.3.1-1
-rw-r--r-- /usr/X11R6/lib/X11/fonts/75dpi/*
***XFree86-3.3.3.1-1
-rwXr-Xr-X /etc/X11/*/*
-rw-r--r-- /usr/X11R6/include/X11/bitmaps/*
-rwXr-Xr-X /usr/X11R6/lib/X11 (regular files recursively)

Comment 1 Cristian Gafton 1999-07-28 07:19:59 UTC
Most of the changes (ignoring the rw-r-r changes) were implemented as
part of 6.0. We could have missed some...

thanks

Comment 2 openshift-github-bot 2017-10-17 19:27:59 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/f2dd6b2a96a90a63604f8c5dfe3473fe7ce2ecab
Fix issue 2272: Show hidden roles checkbox isnt functioning properly

https://github.com/openshift/origin-web-console/commit/ce2f3559b5cbed0b69edb7d206917361260c49bf
Merge pull request #2281 from benjaminapetersen/issue/2272/hidden-roles-checkbox

Automatic merge from submit-queue.

Fix issue 2272: Show hidden roles checkbox isnt functioning properly

@jwforrest @spadgett @sg00dwin 

Fix #2272